#! /bin/sh
set -eux
dir="$HOME/.steam/root/steamapps/common/Wurm Unlimited/WurmLauncher"
if [ -d "$dir" ]; then : installation directory found; else
	echo "Installation directory not found: $dir"
	exit 1
fi

if type unzip; then : unzip found; else
	echo "Please install unzip utility."
	exit 1
fi

unzip -o UnzipIn-WurmLauncher-20180415.zip -d "$dir"
cd "$dir"
. ./patcher.sh
